package com.example.civilizedcity.common;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Component;

import java.util.Hashtable;

@Slf4j
@Component
@EnableScheduling
public class SMSCaptcha {

    @Value("${sms.captcha.code}")
    String code;
    @Value("${sms.captcha.sign}")
    String sign;

    @Autowired
    SMSUtils smsUtils;

    /**
     * 发送提醒短信
     *
     * @param tel
     * @param captcha
     * @throws Exception
     */
    public void send(String tel, String captcha) throws Exception {


        SMSUtils.Message message = new SMSUtils.Message()
                .setCode(code)
                .setSign(sign)
                .setTel(tel)
                .setContent("{ \"status\": \"" + captcha + "\" }");

        try {
            smsUtils.sendMessage(message);
        } catch (Exception e) {
            e.printStackTrace();
            // 修改友好点的错误
            throw new Exception("发送验证码失败");
        }

    }
}