package com.example.civilizedcity.message.impl;

public enum SMSError {
    SUCCESS("0", "成功"),
    ERROR_PASSWORD("30", "错误密码"),
    ERROR_ACCOUNT("40", "账号不存在"),
    ERROR_BALANCE("41", "余额不足"),
    ERROR_IP("43", "IP地址限制"),
    ERROR_CONTENT("50", "内容含有敏感词"),
    ERROR_PHONE("51", "手机号码不正确");

    private String code;
    private String message;

    private SMSError(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static SMSError getEnum(String code) {
        for (SMSError smsError : SMSError.values()) {
            if (smsError.getCode().equals(code)) {
                return smsError;
            }
        }
        return null;
    }
}
